PDA

View Full Version : GLW_StartOpenGL() - could not load OpenGL subsystem (problem with mod?)


wolf-uk
12-04-2006, 07:52 AM
Hi

I would love to play this mod as the orignal DF was the frist game I bought for a PC way back in 95! But for some reason I get the below problem I know my Video card is cool as its a NVIDA 7950GT and pent IV 3.4 so what gives? any idea people? all installed in defult dir.



JA: v1.0.0.0 win-x86 Aug 5 2003
Initialising zone memory .....
----- FS_Startup -----
Current search path:
C:\Program Files\LucasArts\Star Wars Jedi Knight Jedi Academy\GameData\base\assets2.pk3 (62 files)
C:\Program Files\LucasArts\Star Wars Jedi Knight Jedi Academy\GameData\base\assets1.pk3 (8320 files)
C:\Program Files\LucasArts\Star Wars Jedi Knight Jedi Academy\GameData\base\assets0.pk3 (15346 files)
C:\Program Files\LucasArts\Star Wars Jedi Knight Jedi Academy\GameData/base

----------------------
23728 files in pk3 files
execing default.cfg
couldn't exec jaconfig.cfg
couldn't exec autoexec.cfg
...detecting CPU, found Intel Pentium IV

------- Input Initialization -------
Skipping check for DirectInput
Joystick is not active.
------------------------------------
----- Client Initialization -----
----- Initializing Renderer ----
-------------------------------
----- Client Initialization Complete -----
--- Common Initialization Complete ---
Working directory: C:\Program Files\LucasArts\Star Wars Jedi Knight Jedi Academy\GameData
Initializing OpenGL subsystem
...initializing QGL
succeeded
...setting mode 4: 800 600 FS
...using desktop display depth of 32
...calling CDS: ok
...registered window class
...created window@0,0 (800x600)
Initializing OpenGL driver
...getting DC: succeeded
...GLW_ChoosePFD( 32, 24, 8 )
...35 PFDs found
...GLW_ChoosePFD failed
...GLW_ChoosePFD( 32, 24, 0 )
...35 PFDs found
...GLW_ChoosePFD failed
...failed to find an appropriate PIXELFORMAT
...restoring display settings
...WARNING: could not set the given mode (4)
...setting mode 3: 640 480 FS
...using colorsbits of 16
...calling CDS: ok
...created window@0,0 (640x480)
Initializing OpenGL driver
...getting DC: succeeded
...GLW_ChoosePFD( 16, 16, 0 )
...35 PFDs found
...GLW_ChoosePFD failed
...GLW_ChoosePFD( 16, 16, 0 )
...35 PFDs found
...GLW_ChoosePFD failed
...failed to find an appropriate PIXELFORMAT
...restoring display settings
...WARNING: could not set the given mode (3)
...shutting down QGL
...unloading OpenGL DLL
----- CL_Shutdown -----
-----------------------
GLW_StartOpenGL() - could not load OpenGL subsystem



Any help would be great!

Wolf

MikeGunther1969
12-04-2006, 11:43 AM
[QUOTE=wolf-uk]Hi

I would love to play this mod as the orignal DF was the frist game I bought for a PC way back in 95! But for some reason I get the below problem I know my Video card is cool as its a NVIDA 7950GT and pent IV 3.4 so what gives? any idea people? all installed in defult dir.

Neon
12-04-2006, 03:05 PM
Update your drivers of your NVidia 7950GT

wolf-uk
12-04-2006, 03:22 PM
Hi thanks for the reply

I have done that (running Version: 93.71) in fact I update my video driver all the time and wipe the one before using driver cleaner pro. Any other advice?

SlicerDude
12-04-2006, 03:29 PM
JA: v1.0.0.0 win-x86 Aug 5 2003

Are you sure you have JA updated to the latest version? I'm not sure how that could cause this problem, but I've heard that it's quite important for getting the mod to work.

On_Your_Six
12-05-2006, 03:19 AM
I also had this problem once upon a time with the very same forceware drivers.. In order to resolve the openGL conflict with the new drivers I installed the old Detonator drivers... It works perfect, if you're so inclined.

Fracman
12-09-2006, 09:30 AM
Was JA working properly before you did install the mod?
Perhaps one of the files we provided has a wrong setup inside.

Did you try the safe mode?
There should be a shortcut in your startmenu folder.
jasp.exe +exec setlanguage.cfg +safe

wolf-uk
12-09-2006, 03:25 PM
Hi I installed JA for the mod and it has not worked I starting to think it might be a problem with the forceware drivers but nvidia said they should work!.....on_your_six said to try the detonator drivers but I dont know where they are. Also does anyone know if I can check if I just have to tick a box in my Nvidia control pannel?

Neon
12-11-2006, 01:46 PM
No idea, but this error is a popular one in the JA community :s
Once I had a graphic card that had no opengl, but the update had it.
Maybe your card is too good for JA

wolf-uk
12-19-2006, 03:07 PM
maybe lol

Fracman
12-24-2006, 12:12 PM
Did you get it working?

The 7950GT is definitely OpenGL compatible, the problem is somewhere else.

Are you running some other application that perhaps uses OpenGL, but you don't know it...?

Please shutdown ALL other applications, e.g WinAmp or other music players that have some fancy visualisation.

Set your video cards OpenGL settings to default.

And then try JA again...

TheShaman
12-24-2006, 02:09 PM
I had this problem a long time ago, I installed Direct-X 9.0c and the last forceware, then it was solved.

Darth_Linux
12-24-2006, 04:46 PM
you have the original version of JA - you need to get the updated version, and then it will work.

On_Your_Six
12-29-2006, 02:23 PM
wolf-uk:
I'm hoping you've got it working by now heh, but in case you didn't the detonator drivers are located on the NVidia website just go to downloads and select the appropriate drivers... They're still up there.